=== debian/changelog ===
ushare (1.1a-0ubuntu10) saucy; urgency=low

  * Typo in ushare init script ( LP: #1044024)

 -- Nitin Kushwah <abhi4u.blr@gmail.com>  Wed, 24 Jul 2013 00:51:35 +0530

ushare (1.1a-0ubuntu9) quantal; urgency=low

  * debian/patches/fix-implicit-pointers.patch:
    - And fix FTBFS on amd64 by including string.h

 -- Michael Terry <mterry@ubuntu.com>  Mon, 02 Jul 2012 20:37:14 -0400

ushare (1.1a-0ubuntu8) quantal; urgency=low

  * Rebuild for libupnp3->libupnp6 transition
  * debian/patches/latest-upnp-api.patch:
    - libupnp changed a sockaddr header field slightly that was only
      used in some ushare debugging code; drop the use of that
      field rather than bother to make it ipv6 compatible

 -- Michael Terry <mterry@ubuntu.com>  Mon, 02 Jul 2012 18:06:30 -0400

ushare (1.1a-0ubuntu7) precise; urgency=low

  * Fix FTBFS with -Werror=format-security.
  * Switch to source format 3.0 (quilt).
  * Bump Standards-Version to 3.9.2.

 -- Ilya Barygin <randomaction@ubuntu.com>  Tue, 03 Jan 2012 23:35:53 +0400

ushare (1.1a-0ubuntu6) oneiric; urgency=low

  * Use dh-translations rather than cdbs langpack.mk (which no longer
    exists).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 19 Aug 2011 13:14:12 +0100

ushare (1.1a-0ubuntu5) lucid; urgency=low

  * Update copyright dates
  * Change compat to 7
  * Add backport r427 to fix the names in ushare.conf (LP: #250122)
  * Fix script restart (LP: #378788)
  * Fix launching order sequence (LP: #386965)
  * Remove /sbin path in config maintainer script

 -- Alexis Saettler <alexis@saettler.org>  Sat, 16 Jan 2010 13:36:16 +0100

ushare (1.1a-0ubuntu4) karmic; urgency=low

  * No-change rebuild to pick up new shlibs file of ffmpeg.

 -- Stefan Potyra <sistpoty@ubuntu.com>  Sat, 29 Aug 2009 23:37:40 +0200

ushare (1.1a-0ubuntu3) jaunty; urgency=low

  * Rebuild to pickup ffmpeg's new shlibs (LP: #289600)

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Sat, 15 Nov 2008 17:03:40 +0100

ushare (1.1a-0ubuntu2) intrepid; urgency=low

  * Rebuild for the ffmpeg -> ffmpeg-free transition (LP: #245571). 

 -- Michael Bienia <geser@ubuntu.com>  Tue, 08 Jul 2008 15:46:37 +0200

ushare (1.1a-0ubuntu1) hardy; urgency=low

  * initial release in ubuntu (LP: #188629)

 -- Alexis Saettler <alexis@saettler.org>  Sun, 03 Feb 2008 15:56:51 +0100
