=== debian/control ===
Source: ushare
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Uploaders: Alexis Saettler <alexis@saettler.org>
XSBC-Original-Maintainer: Alexis Saettler <alexis@saettler.org>
Homepage: http://ushare.geexbox.org
Build-Depends: debhelper (>= 7.3.15), cdbs (>= 0.4.59), libupnp-dev (>= 1.4.2), libdlna-dev (>= 0.2.1), pkg-config, po-debconf, dh-translations
Standards-Version: 3.9.2
Vcs-Hg: http://hg.geexbox.org/ushare
Vcs-Browser: http://hg.geexbox.org/ushare/summary

Package: ushare
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: lightweight UPnP A/V Media Server
 GeeXboX uShare is a UPnP (TM) A/V Media Server. It implements the server
 component that provides UPnP media devices with information on available
 multimedia files. uShare uses the built-in http server of libupnp to stream
 the files to clients.
 .
 uShare is written in C for the GeeXboX project. It is designed to provide
 access to multimedia contents to GeeXboX but can of course be used by any
 other UPnP client device.
