=== debian/watch ===
version=3
http://ushare.geexbox.org/releases/ushare-(.*)\.tar\.bz2
